Get import source schema
curl --request POST \
--url https://api.prequel.co/import/sources/{id}/get-schema \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"method": "<unknown>",
"table": {
"source_table_namespace": "<string>",
"source_table_name": "<string>"
}
}
'import requests
url = "https://api.prequel.co/import/sources/{id}/get-schema"
payload = {
"method": "<unknown>",
"table": {
"source_table_namespace": "<string>",
"source_table_name": "<string>"
}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
method: '<unknown>',
table: {source_table_namespace: '<string>', source_table_name: '<string>'}
})
};
fetch('https://api.prequel.co/import/sources/{id}/get-schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {
"schema": [
{
"name": "<string>",
"raw_type": "<string>",
"prequel_type": "<string>",
"ordinal_position": 123,
"is_nullable": true
}
]
},
"message": "<string>"
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}Import Sources
Get import source schema
Get column schema for an import source table or SQL query.
POST
/
import
/
sources
/
{id}
/
get-schema
Get import source schema
Authorizations
Path Parameters
Import Source ID.
Body
application/json
⌘I